const response = await fetch(
'https://service.pcibooking.net/api/payments/paycard/2821a46d80e14d1b96a7f18f1b81926d/creatorReference/booking-12345',
{
method: 'PUT',
headers: {
'Authorization': 'APIKEY your-api-key'
}
}
);
console.log(response.status);
import requests
response = requests.put(
'https://service.pcibooking.net/api/payments/paycard/2821a46d80e14d1b96a7f18f1b81926d/creatorReference/booking-12345',
headers={'Authorization': 'APIKEY your-api-key'}
)
print(response.status_code)
Creator reference updated successfully. No content returned.
{
"code": -125,
"message": "Bad input data",
"moreInfo": "Invalid token or creator reference",
"errorList": null
}
{
"code": -1003,
"message": "Not authorized to access this resource",
"moreInfo": "Bad or missing authorization data, expected APIKEY",
"errorList": null
}
{
"code": -160,
"message": "Uri not found",
"moreInfo": "Uri to Bank card not found",
"errorList": null
}
Query & Update
Update Creator Reference
Set or update the creator reference value on an existing token.
PUT
/
api
/
payments
/
paycard
/
{token}
/
creatorReference
/
{creatorReference}
const response = await fetch(
'https://service.pcibooking.net/api/payments/paycard/2821a46d80e14d1b96a7f18f1b81926d/creatorReference/booking-12345',
{
method: 'PUT',
headers: {
'Authorization': 'APIKEY your-api-key'
}
}
);
console.log(response.status);
import requests
response = requests.put(
'https://service.pcibooking.net/api/payments/paycard/2821a46d80e14d1b96a7f18f1b81926d/creatorReference/booking-12345',
headers={'Authorization': 'APIKEY your-api-key'}
)
print(response.status_code)
Creator reference updated successfully. No content returned.
{
"code": -125,
"message": "Bad input data",
"moreInfo": "Invalid token or creator reference",
"errorList": null
}
{
"code": -1003,
"message": "Not authorized to access this resource",
"moreInfo": "Bad or missing authorization data, expected APIKEY",
"errorList": null
}
{
"code": -160,
"message": "Uri not found",
"moreInfo": "Uri to Bank card not found",
"errorList": null
}
Update Card Data Guide
Modify expiration dates and creator references on tokens
Error Responses
| Code | HTTP Status | Condition |
|---|---|---|
| -1003 | 401 | User is not the owner |
| -179 | 400 | creatorReference is empty |
| -125 | 400 | Setting creator reference failed |
Parameters
Headers
string
required
Your API key prefixed with
APIKEY. Example: APIKEY your-api-key. See the Authentication guide.Path Parameters
string
required
The token ID as returned by one of the tokenization methods. For example,
2821a46d80e14d1b96a7f18f1b81926d.string
required
The new creator reference value to assign to this token. Can be used later to query for tokens by reference.
const response = await fetch(
'https://service.pcibooking.net/api/payments/paycard/2821a46d80e14d1b96a7f18f1b81926d/creatorReference/booking-12345',
{
method: 'PUT',
headers: {
'Authorization': 'APIKEY your-api-key'
}
}
);
console.log(response.status);
import requests
response = requests.put(
'https://service.pcibooking.net/api/payments/paycard/2821a46d80e14d1b96a7f18f1b81926d/creatorReference/booking-12345',
headers={'Authorization': 'APIKEY your-api-key'}
)
print(response.status_code)
Response
200 - Creator reference updated successfully.Creator reference updated successfully. No content returned.
{
"code": -125,
"message": "Bad input data",
"moreInfo": "Invalid token or creator reference",
"errorList": null
}
{
"code": -1003,
"message": "Not authorized to access this resource",
"moreInfo": "Bad or missing authorization data, expected APIKEY",
"errorList": null
}
{
"code": -160,
"message": "Uri not found",
"moreInfo": "Uri to Bank card not found",
"errorList": null
}

